[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TObjectList.Extract

Extract an object from the list.

## Declaration

Source position: contnrs.pp line 83

`public function TObjectList.Extract(`
`Item: TObject`
`):TObject;`

## Arguments

`Item` |  | Element to remove from the list.

## Function result

The removed element, or Nil

## Description

Extract removes the object Item from the list if it is present in the list. Contrary to Remove, Extract does not free the extracted element if OwnsObjects is True

The function returns a reference to the item which was removed from the list, or Nil if no element was removed.

## Errors

None.

## See also

TObjectList.Remove |  | Remove (and possibly free) an element from the list.

Documentation generated on: Feb 26 2014